Merge pull request #7 from Yaya48/beta

V 2,0,0
This commit is contained in:
Yaya4 2020-07-30 23:06:25 +02:00 committed by GitHub
commit 7dc197db97
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
7 changed files with 108 additions and 158 deletions

View File

@ -9,17 +9,16 @@
***Disclaimer: I am not held responsible for any damage done to your device.***<br/> ***Disclaimer: I am not held responsible for any damage done to your device.***<br/>
***Note: you must have a computer to launch the script via SSH, you cannot use NewTerm.***<br/> ***Note: you must have a computer to launch the script via SSH, you cannot use NewTerm.***<br/>
***Note: I recommend that you know what you're doing***<br/> ***Note: I recommend that you know what you're doing***<br/>
1) Restore rootfs with unc0ver<br/> 1) You don't need to restore rootfs anymore Tweaks/Apps Are saved<br/>
2) Rejailbreak with unc0ver<br/> 2) Refresh sources in Cydia and install `OpenSSH` and `Curl`<br/>
3) Refresh sources in Cydia and install `OpenSSH` and `Curl`<br/> 3) Find the IP of your iDevice and connect via SSH on your computer.<br/>
4) Find the IP of your iDevice and connect via SSH on your computer.<br/> 4) Use the following command in your SSH session for installation:<br/>
5) Use the following command in your SSH session for installation:<br/>
`/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Yaya48/Uncursus/new/installuncursus.sh)"`<br/> `/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Yaya48/Uncursus/new/installuncursus.sh)"`<br/>
6) Once your device resprings, launch Sileo and you're good to go.<br/> 5) Once your device resprings, launch Sileo and you're good to go.<br/>
***For All Users Cannot Have A Pc I Made a Non-Computer Version***<br/> ***For All Users Cannot Have A Pc I Made a Non-Computer Version***<br/>
***Note: Disclimer This still in beta***<br/> ***Note: Disclimer This still in beta***<br/>
1) Restore Rootfs 1) You don't need to restore rootfs anymore Tweaks/Apps Are saved
2) Add https://repo.yaya48.gq in cydia 2) Add https://repo.yaya48.gq in cydia
3) Install Uncursus Installer 3) Install Uncursus Installer
4) Enter In Terminal And Log In As Root With Default Passworld Type: su after alpine 4) Enter In Terminal And Log In As Root With Default Passworld Type: su after alpine

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -2,61 +2,68 @@
if [ "$EUID" -ne 0 ]; then if [ "$EUID" -ne 0 ]; then
echo You need to run this script as root. echo You need to run this script as root.
else else
need=""
command -v unzip >/dev/null 2>&1 || need+="unzip "
command -v plutil >/dev/null 2>&1 || need+="com.bingner.plutil "
command -v curl >/dev/null 2>&1 || need+="curl "
command -v wget >/dev/null 2>&1 || need+="wget "
clear clear
echo -e "\e[31mWelcome to Uncursus Installation Script V1.3.2 (Stable) By @Yaya4_4 on Twitter.\e[0m" echo -e "\e[31mWelcome to Uncursus Installation Script V2.0.0 (Stable) By @Yaya4_4 on Twitter.\e[0m"
echo "Checking If Is A Clean Install Of Unc0ver..."
if [[ -f "/.procursus_strapped" ]]; then
echo "Please do not use this on odyssey or on an already uncursus installation.."
exit 1
fi
if [[ -f "/.bootstrapped" ]]; then
echo "Please do not use this on checkra1n"
exit 1
fi
echo "WARNING: I'M NOT RESPONSIBLE IF ANYTHING GOES WRONG" echo "WARNING: I'M NOT RESPONSIBLE IF ANYTHING GOES WRONG"
echo "If you've found any bugs, please create an issue in GitHub." echo "If you've found any bugs, please create an issue in GitHub."
echo "Checking Dependencies..."
if [[ $need != "" ]]; then
echo "Installing Dependencies..." echo "Installing Dependencies..."
apt update apt update
apt install unzip -y apt install $need -y
apt install com.bingner.plutil -y fi
apt install zsh -y echo "Pulling and executing the Procursus Migration Script"
apt install curl -y /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Yaya48/Uncursus/beta/procursus-migration.sh)"
echo "Pulling and executing the Procursus deployment script..." echo "Creating a custom directory for the required files. Path (/User/Documents/uncursus)."
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Yaya48/Uncursus/new/procursus-deploy-u0.sh)"
echo "Pulling and installing official Procursus debians..."
rm -rf /User/Documents/uncursus rm -rf /User/Documents/uncursus
mkdir /User/Documents/uncursus mkdir /User/Documents/uncursus
apt update
apt install wget -y --allow-unauthenticated
VER=$(/usr/bin/plutil -key ProductVersion /System/Library/CoreServices/SystemVersion.plist)
if [[ "${VER%.*}" -ge 12 ]] && [[ "${VER%.*}" -lt 13 ]]; then
echo "cock"
elif [[ "${VER%.*}" -ge 13 ]]; then
echo "iOS 13 Dectected Installing iOS 13 Procursus Deb"
wget https://github.com/Yaya48/Uncursus/blob/new/debprocursussystem-1600.zip?raw=true --directory-prefix=/User/Documents/uncursus/
unzip /User/Documents/uncursus/debprocursussystem-1600.zip?raw=true -d /User/Documents/uncursus/
dpkg -i /User/Documents/uncursus/debprocursussystem/*.deb
else
echo "iOS 12 Dectected Installing iOS 12 Procursus Deb"
wget https://github.com/Yaya48/Uncursus/blob/new/debprocursussystem-1500.zip?raw=true --directory-prefix=/User/Documents/uncursus/
unzip /User/Documents/uncursus/debprocursussystem-1500.zip?raw=true -d /User/Documents/uncursus/
dpkg -i /User/Documents/uncursus/debprocursussystem1500/*.deb
fi
echo "Done. Creating a custom directory for the required files. Path (/User/Documents/)."
mkdir /User/Documents/uncursus/u0 mkdir /User/Documents/uncursus/u0
wget https://github.com/Yaya48/Uncursus/blob/new/debpatch.zip?raw=true --directory-prefix=/User/Documents/uncursus/ echo "Done. Setuping Uncursus Repo...."
unzip /User/Documents/uncursus/debpatch.zip?raw\=true -d /User/Documents/uncursus/debpatch echo "Types: deb" > /etc/apt/sources.list.d/odyssey.sources
echo "URIs: https://yaya48.github.io/uncursusrepo" >> /etc/apt/sources.list.d/odyssey.sources
echo "Suites: ./" >> /etc/apt/sources.list.d/odyssey.sources
echo "Components: " >> /etc/apt/sources.list.d/odyssey.sources
echo "" >> /etc/apt/sources.list.d/odyssey.sources
mkdir -p /etc/apt/preferenced.d/
echo "Package: *" > /etc/apt/preferenced.d/odyssey
echo "Pin: release n=uncursus-ios" >> /etc/apt/preferenced.d/odyssey
echo "Pin-Priority: 1001" >> /etc/apt/preferenced.d/odyssey
echo "" >> /etc/apt/preferenced.d/odyssey
echo "Done. Installing Sileo"
wget -q https://github.com/coolstar/Odyssey-bootstrap/raw/master/org.coolstar.sileo_1.8.1_iphoneos-arm.deb --directory-prefix=/User/Documents/uncursus
dpkg -i /User/Documents/uncursus/org.coolstar.sileo_1.8.1_iphoneos-arm.deb
echo "Done. Downloading necessities"
wget -q https://yaya48.gq/files/uncursus/debpatch.zip --directory-prefix=/User/Documents/uncursus/
unzip /User/Documents/uncursus/debpatch.zip -d /User/Documents/uncursus/debpatch
rm -rf /usr/bin/cynject rm -rf /usr/bin/cynject
wget https://apt.bingner.com/debs/1443.00/com.ex.substitute_0.1.14_iphoneos-arm.deb --directory-prefix=/User/Documents/uncursus/u0 wget -q https://apt.bingner.com/debs/1443.00/com.ex.substitute_0.1.14_iphoneos-arm.deb --directory-prefix=/User/Documents/uncursus/u0
wget https://apt.bingner.com/debs/1443.00/com.saurik.substrate.safemode_0.9.6003_iphoneos-arm.deb --directory-prefix=/User/Documents/uncursus/u0 wget -q https://apt.bingner.com/debs/1443.00/com.saurik.substrate.safemode_0.9.6003_iphoneos-arm.deb --directory-prefix=/User/Documents/uncursus/u0
echo "Done. Installing necessities..." echo "Done. Installing necessities..."
dpkg -i --force-all /User/Documents/uncursus/debpatch/us.diatr.sileorespring_1.1_iphoneos-arm.deb dpkg -i --force-all /User/Documents/uncursus/debpatch/*.deb
dpkg -i --force-all /User/Documents/uncursus/debpatch/coreutils-bin.deb
dpkg -i --force-all /User/Documents/uncursus/debpatch/libssl.deb
dpkg -i --force-all /User/Documents/uncursus/debpatch/lzma.deb
dpkg -i --force-all /User/Documents/uncursus/debpatch/ncurses5-libs.deb
dpkg -i --force-all /User/Documents/uncursus/debpatch/xz.deb
dpkg -i --force-all /User/Documents/uncursus/u0/*.deb dpkg -i --force-all /User/Documents/uncursus/u0/*.deb
echo "Done. Running Firmware Configuration (./firmware.sh)" echo "Done. Running Firmware Configuration (./firmware.sh)"
/usr/libexec/firmware /usr/libexec/firmware
echo "Bootstrap installation complete. Cleaning up..." echo "Bootstrap installation complete. Cleaning up..."
rm -rf /User/Documents/uncursus/ rm -rf /User/Documents/uncursus/
echo "Uninstalling Cydia..." echo "Uninstalling Cydia..."
apt update
apt install cydia -y --allow-unauthenticated
apt purge cydia -y apt purge cydia -y
uicache -a uicache -a
echo "All Done." echo "All Done."
killall SpringBoard touch /.installed_odyssey
touch /.procursus_strapped
sbreload
fi fi

View File

@ -1,113 +0,0 @@
#!/bin/bash
if [ $(uname) = "Darwin" ]; then
if [ $(uname -p) = "arm" ] || [ $(uname -p) = "arm64" ]; then
echo "It's recommended this script be ran on macOS/Linux with a clean iOS device running checkra1n attached unless migrating from older bootstrap."
ARM=yes
fi
fi
echo "odysseyra1n deployment script"
echo "(C) 2020, CoolStar. All Rights Reserved"
echo "Uncursus Version"
echo ""
echo "Before you begin: This script includes experimental migration from older bootstraps to Procursus/Odyssey."
echo "If you're already jailbroken, you can run this script on the checkra1n device."
echo "If you'd rather start clean, please Reset System via the Loader app first."
if ! which curl >> /dev/null; then
echo "Error: curl not found"
exit 1
fi
if [[ "${ARM}" = yes ]]; then
if ! which zsh >> /dev/null; then
echo "Error: zsh not found"
exit 1
fi
else
if which iproxy >> /dev/null; then
iproxy 4444 44 >> /dev/null 2>/dev/null &
else
echo "Error: iproxy not found"
exit 1
fi
fi
rm -rf odyssey-tmp
mkdir odyssey-tmp
cd odyssey-tmp
echo '#!/bin/zsh' > odyssey-device-deploy.sh
if [[ ! "${ARM}" = yes ]]; then
echo 'cd /var/root' >> odyssey-device-deploy.sh
fi
echo 'if [[ -f "/.bootstrapped" ]]; then' >> odyssey-device-deploy.sh
echo 'mkdir -p /odyssey && mv migration /odyssey' >> odyssey-device-deploy.sh
echo 'chmod 0755 /odyssey/migration' >> odyssey-device-deploy.sh
echo '/odyssey/migration' >> odyssey-device-deploy.sh
echo 'rm -rf /odyssey' >> odyssey-device-deploy.sh
echo 'else' >> odyssey-device-deploy.sh
echo 'VER=$(/usr/bin/plutil -key ProductVersion /System/Library/CoreServices/SystemVersion.plist)' >> odyssey-device-deploy.sh
echo 'if [[ "${VER%.*}" -ge 12 ]] && [[ "${VER%.*}" -lt 13 ]]; then' >> odyssey-device-deploy.sh
echo 'CFVER=1500' >> odyssey-device-deploy.sh
echo 'elif [[ "${VER%.*}" -ge 13 ]]; then' >> odyssey-device-deploy.sh
echo 'CFVER=1600' >> odyssey-device-deploy.sh
echo 'else' >> odyssey-device-deploy.sh
echo 'echo "${VER} not compatible."' >> odyssey-device-deploy.sh
echo 'exit 1' >> odyssey-device-deploy.sh
echo 'fi' >> odyssey-device-deploy.sh
echo 'gzip -d bootstrap_${CFVER}-ssh.tar.gz' >> odyssey-device-deploy.sh
echo 'mount -uw -o union /dev/disk0s1s1' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/profile' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/profile.d' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/alternatives' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/apt' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/ssl' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/ssh' >> odyssey-device-deploy.sh
echo 'rm -rf /etc/dpkg' >> odyssey-device-deploy.sh
echo 'rm -rf /Library/dpkg' >> odyssey-device-deploy.sh
echo 'rm -rf /var/cache' >> odyssey-device-deploy.sh
echo 'rm -rf /var/lib' >> odyssey-device-deploy.sh
echo 'tar --preserve-permissions -xkf bootstrap_${CFVER}-ssh.tar -C /' >> odyssey-device-deploy.sh
echo '/Library/dpkg/info/openssh.postinst || true' >> odyssey-device-deploy.sh
echo 'launchctl load -w /Library/LaunchDaemons/com.openssh.sshd.plist || true' >> odyssey-device-deploy.sh
echo 'fi' >> odyssey-device-deploy.sh
echo '/usr/libexec/firmware' >> odyssey-device-deploy.sh
echo 'mkdir -p /etc/apt/sources.list.d/' >> odyssey-device-deploy.sh
echo 'echo "Types: deb" > /etc/apt/sources.list.d/odyssey.sources' >> odyssey-device-deploy.sh
echo 'echo "URIs: https://yaya48.github.io/uncursusrepo" >> /etc/apt/sources.list.d/odyssey.sources' >> odyssey-device-deploy.sh
echo 'echo "Suites: ./" >> /etc/apt/sources.list.d/odyssey.sources' >> odyssey-device-deploy.sh
echo 'echo "Components: " >> /etc/apt/sources.list.d/odyssey.sources' >> odyssey-device-deploy.sh
echo 'echo "" >> /etc/apt/sources.list.d/odyssey.sources' >> odyssey-device-deploy.sh
echo 'mkdir -p /etc/apt/preferenced.d/' >> odyssey-device-deploy.sh
echo 'echo "Package: *" > /etc/apt/preferenced.d/odyssey' >> odyssey-device-deploy.sh
echo 'echo "Pin: release n=uncursus-ios" >> /etc/apt/preferenced.d/odyssey' >> odyssey-device-deploy.sh
echo 'echo "Pin-Priority: 1001" >> /etc/apt/preferenced.d/odyssey' >> odyssey-device-deploy.sh
echo 'echo "" >> /etc/apt/preferenced.d/odyssey' >> odyssey-device-deploy.sh
echo 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games dpkg -i org.coolstar.sileo_1.8.1_iphoneos-arm.deb' >> odyssey-device-deploy.sh
echo 'uicache -p /Applications/Sileo.app' >> odyssey-device-deploy.sh
echo 'echo -n "" > /var/lib/dpkg/available' >> odyssey-device-deploy.sh
echo '/Library/dpkg/info/profile.d.postinst' >> odyssey-device-deploy.sh
echo 'touch /.mount_rw' >> odyssey-device-deploy.sh
echo 'touch /.installed_odyssey' >> odyssey-device-deploy.sh
echo 'rm bootstrap*.tar*' >> odyssey-device-deploy.sh
echo 'rm org.coolstar.sileo_1.8.1_iphoneos-arm.deb' >> odyssey-device-deploy.sh
echo 'rm odyssey-device-deploy.sh' >> odyssey-device-deploy.sh
echo "Downloading Resources..."
curl -L -O https://github.com/coolstar/odyssey-bootstrap/raw/master/bootstrap_1500-ssh.tar.gz -O https://github.com/coolstar/odyssey-bootstrap/raw/master/bootstrap_1600-ssh.tar.gz -O https://github.com/coolstar/odyssey-bootstrap/raw/master/migration -O https://github.com/coolstar/odyssey-bootstrap/raw/master/org.coolstar.sileo_1.8.1_iphoneos-arm.deb
clear
if [[ ! "${ARM}" = yes ]]; then
echo "Copying Files to your device"
echo "Default password is: alpine"
scp -P4444 -o "StrictHostKeyChecking no" -o "UserKnownHostsFile=/dev/null" bootstrap_1500-ssh.tar.gz bootstrap_1600-ssh.tar.gz migration org.coolstar.sileo_1.8.1_iphoneos-arm.deb odyssey-device-deploy.sh root@127.0.0.1:/var/root/
clear
fi
echo "Installing Procursus bootstrap and Sileo on your device"
if [[ "${ARM}" = yes ]]; then
zsh ./odyssey-device-deploy.sh
else
echo "Default password is: alpine"
ssh -p4444 -o "StrictHostKeyChecking no" -o "UserKnownHostsFile=/dev/null" root@127.0.0.1 "zsh /var/root/odyssey-device-deploy.sh"
echo "All Done!"
killall iproxy
fi

57
procursus-migration.sh Normal file
View File

@ -0,0 +1,57 @@
#!/bin/bash
if [ "$EUID" -ne 0 ]; then
echo You need to run this script as root.
else
clear
echo -e "\e[31mUncursus 2.0 Migration Part By Yaya4_4 1.0 (Sbtale)\e[0m"
echo "Checking iOS Version"
VER=$(/usr/bin/plutil -key ProductVersion /System/Library/CoreServices/SystemVersion.plist)
if [[ "${VER%.*}" -ge 12 ]] && [[ "${VER%.*}" -lt 13 ]]; then
echo "iOS 12 Dectected Set The CFVER To 1500"
CFVER=1500
elif [[ "${VER%.*}" -ge 13 ]]; then
echo "iOS 13 Dectected Set The CFVER To 1600"
CFVER=1600
else
if [[ "${VER%.*.*}" -ge 13 ]]; then
echo "iOS 13 Dectected Set The CFVER To 1600"
CFVER=1600
else
if [[ "${VER%.*.*}" -ge 12 ]]; then
echo "iOS 12 Dectected Set The CFVER To 1500"
CFVER=1500
fi
fi
fi
echo -e "\e[32mStarting Migration....\e[0m"
apt update
apt install wget -y --allow-unauthenticated
rm /etc/apt/sources.list.d/cydia.list
echo "deb https://apt.procurs.us/ iphoneos-arm64/${CFVER} main" >> /etc/apt/sources.list.d/cydia.list
rm -rf /var/root/migration
mkdir /var/root/migration
wget http://apt.procurs.us/pool/main/iphoneos-arm64/${CFVER}/procursus-keyring_2020.05.09_iphoneos-arm.deb --no-check-certificate --directory-prefix=/var/root/migration
wget -q https://apt.procurs.us/pool/main/iphoneos-arm64/${CFVER}/coreutils_8.32-1_iphoneos-arm.deb --no-check-certificate --directory-prefix=/var/root/migration
wget -q https://apt.procurs.us/pool/main/iphoneos-arm64/${CFVER}/firmware-sbin_0-1_iphoneos-arm.deb --no-check-certificate --directory-prefix=/var/root/migration
wget -q http://yaya48.gq/files/migration-files/elucubratustoprocursus/libncurses.6.dylib --no-check-certificate --directory-prefix=/var/root/migration
dpkg -i /var/root/migration/procursus-keyring_2020.05.09_iphoneos-arm.deb
apt update
apt install xz-utils -y --allow-unauthenticated -u -o APT::Force-LoopBreak=1
wget -q https://yaya48.gq/files/migration-files/shared/${CFVER}/liblzma.dylib --no-check-certificate --directory-prefix=/usr/local/lib
wget -q https://yaya48.gq/files/migration-files/shared/${CFVER}/liblzma.5.dylib --no-check-certificate --directory-prefix=/usr/local/lib
apt install xz-utils -y --allow-unauthenticated -u -o APT::Force-LoopBreak=1
apt full-upgrade -y --allow-unauthenticated -u -o APT::Force-LoopBreak=1
cp /var/root/migration/libncurses.6.dylib /usr/lib
dpkg -i --force-all /var/root/migration/firmware-sbin_0-1_iphoneos-arm.deb
apt full-upgrade -y --allow-unauthenticated -u -o APT::Force-LoopBreak=1
dpkg -i --force-all /var/root/migration/coreutils_8.32-1_iphoneos-arm.deb
dpkg -r apt1.4
dpkg -r cydia-list
rm -rf /etc/apt/sources.list.d/cydia.list
echo "Types: deb" > /etc/apt/sources.list.d/procursus.sources
echo "URIs: https://apt.procurs.us/" >> /etc/apt/sources.list.d/procursus.sources
echo "Suites: iphoneos-arm64/${CFVER}" >> /etc/apt/sources.list.d/procursus.sources
echo "Components: main" >> /etc/apt/sources.list.d/procursus.sources
echo -e "\e[32mMigration Finished!\e[0m"
echo -e "\e[32mBack To Uncursus Script...\e[0m"
fi